import httputils from '@/api/httputils'

//查询系统图展示所需数据 --平面图业务数据
export function readGroup(postParams) {
    return httputils.postJson(`/serve/topology-wanda/graph/read`, postParams)
}
// 查询铺位名称
export function queryBrand({ data, postParams }) {
    return httputils.fetchJson(`/data/tb_brand_intentiondetail/query`, data, postParams)
}
//记录PV/UV
export function getPvUv(data, postParams) {
    return httputils.fetchJson(`/data/pvuv/save`, data, postParams)
}
// 保存楼层缓存
export function setFloor(data, postParams) {
    return httputils.fetchJson(`/data/plaza/floor/set`, data, postParams)
}
// 查询图
export function graphQuery(params) {
    return httputils.postJson(`/serve/topology-wanda/graph/query`, params)
}

// app查询图例统计信息
export function appGraphElementQuery(params) {
    return httputils.postJson(`/serve/topology-wanda/graphElement/statistic/appQuery`, params)
}

// app查询图例统计信息
export function appNodeQuery(params) {
    return httputils.postJson(`/serve/topology-wanda/node/appQuery`, params)
}

// 查询图片
export function queryPic({ getParams }) {
    return httputils.getJson(`/data/sms_proimgup/query`, getParams)
}
